#!/usr/bin/env python
from distutils.core import setup
import os
from collections import defaultdict

__version__ = "4.3.1"

def get_files(prefix):
    r = []
    for root, dirnames, files in os.walk(prefix):
        x = [os.path.join(root, f) for f in files]
        if x:
            r += [(root, x)]
    return r

setup(
    name="noc-pkg-codemirror",
    version=__version__,
    description="CodeMirror package for NOC",
    url="http://codemirror.net",
    maintainer="nocproject.org",
    maintainer_email="pkg@nocproject.org",
    data_files=get_files("static/pkg/codemirror")
)
